When the famous youtube-dl stumbles, because of something like this:

ERROR: av_interleaved_write_frame(): Invalid argument

Then brew some:

$ brew install libav

$ brew install ffmpeg

Then try downloading again and add --prefer-ffmpeg

You are welcome.